Subject: bug#27420: Self Destruct - Self Erase of All Data On SD Card Using Shred,

From: John Shearing <[email-masked]>
Date: Sun, 18 Jun 2017 03:22:35 -0400

favorite
<https://raspberrypi.stackexchange.com/questions/68635/self-destruct-self-erase-of-all-data-on-sd-card-using-shred-dd-or-some-other#>

I will be using a raspberry pi as an air-gapped computer to make secure
encrypted transactions on the Ethereum BlockChain. Once in awhile I will
want to update the software I am using which will mean taking the SD card
out of the pi and inserting it into a laptop computer which is connected to
the Internet. I would like to use some program or command line utility on
the raspberry pi to securely erase everything on the SD card before
removing it as this will eliminate all possibility of sensitive information
being read off the SD card by bad actors which may have compromised my
laptop.

The following command typed in at the pi terminal conveys the idea of what
I hope to accomplish:
shred --verbose *.*

Is this possible using shred?

Thanks, John